Effect Level Management
Effect Level is a part of Effect and every request should include Effect ID as a path argument.
Create Level Variant
Authenticate using SaaS Private token
{}published- Publisheddraft- Draft
{}published- Publisheddraft- Draft
Where prompt came from. {"kind": "stage"|"manual", "start": int, "end": int, "start_name": str, "end_name": str, "aggregation": str, "participant_count": int}. Server-written; read-only over the API.
POST /api/v1/companies/{company_id}/effects/{effect_id}/variants/ HTTP/1.1
Host: saas.haut.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 153
{
"title": "My first variant",
"description": "My first variant that simulates age 30",
"status": "draft",
"prompt": {
"age": 30
},
"simulation_period": "1 00:00:00"
}{
"id": "effvar_ZrIXw8kIHiJq3Umx",
"effect_id": "eff_123",
"updated_at": "2026-10-10T06:23:01.196639Z",
"created_at": "2026-10-10T06:23:01.196646Z",
"title": "My first variant",
"description": "My first variant that simulates age 30",
"prompt": {
"age": 30
},
"status": "draft",
"simulation_period": "1 00:00:00",
"source": {
"kind": "stage",
"start": 0,
"end": 2,
"start_name": "Baseline",
"end_name": "Week 12",
"aggregation": "mean",
"participant_count": 8
}
}Update Level Variant
Authenticate using SaaS Private token
{}published- Publisheddraft- Draft
{}published- Publisheddraft- Draft
Where prompt came from. {"kind": "stage"|"manual", "start": int, "end": int, "start_name": str, "end_name": str, "aggregation": str, "participant_count": int}. Server-written; read-only over the API.
PATCH /api/v1/companies/{company_id}/effects/{effect_id}/variants/{variant_id}/ HTTP/1.1
Host: saas.haut.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 153
{
"title": "My first variant",
"description": "My first variant that simulates age 30",
"status": "draft",
"prompt": {
"age": 30
},
"simulation_period": "1 00:00:00"
}{
"id": "effvar_ZrIXw8kIHiJq3Umx",
"effect_id": "eff_123",
"updated_at": "2026-10-10T06:23:01.196639Z",
"created_at": "2026-10-10T06:23:01.196646Z",
"title": "My first variant",
"description": "My first variant that simulates age 30",
"prompt": {
"age": 30
},
"status": "draft",
"simulation_period": "1 00:00:00",
"source": {
"kind": "stage",
"start": 0,
"end": 2,
"start_name": "Baseline",
"end_name": "Week 12",
"aggregation": "mean",
"participant_count": 8
}
}List Level Variants
Authenticate using SaaS Private token
A search term.
A page number within the paginated result set.
Number of results to return per page.
123http://api.example.org/accounts/?page=4http://api.example.org/accounts/?page=2GET /api/v1/companies/{company_id}/effects/{effect_id}/variants/ HTTP/1.1
Host: saas.haut.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"count": 123,
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2",
"results": [
{
"id": "effvar_ZrIXw8kIHiJq3Umx",
"effect_id": "eff_123",
"updated_at": "2026-10-10T06:23:01.196639Z",
"created_at": "2026-10-10T06:23:01.196646Z",
"title": "My first variant",
"description": "My first variant that simulates age 30",
"prompt": {
"age": 30
},
"status": "draft",
"simulation_period": "1 00:00:00",
"source": {
"kind": "stage",
"start": 0,
"end": 2,
"start_name": "Baseline",
"end_name": "Week 12",
"aggregation": "mean",
"participant_count": 8
}
}
]
}Get Effect Level Info
Authenticate using SaaS Private token
{}published- Publisheddraft- Draft
Where prompt came from. {"kind": "stage"|"manual", "start": int, "end": int, "start_name": str, "end_name": str, "aggregation": str, "participant_count": int}. Server-written; read-only over the API.
GET /api/v1/companies/{company_id}/effects/{effect_id}/variants/{variant_id}/ HTTP/1.1
Host: saas.haut.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": "effvar_ZrIXw8kIHiJq3Umx",
"effect_id": "eff_123",
"updated_at": "2026-10-10T06:23:01.196639Z",
"created_at": "2026-10-10T06:23:01.196646Z",
"title": "My first variant",
"description": "My first variant that simulates age 30",
"prompt": {
"age": 30
},
"status": "draft",
"simulation_period": "1 00:00:00",
"source": {
"kind": "stage",
"start": 0,
"end": 2,
"start_name": "Baseline",
"end_name": "Week 12",
"aggregation": "mean",
"participant_count": 8
}
}Delete Effect Level(s) in a Bulk Manner
Authenticate using SaaS Private token
POST /api/v1/companies/{company_id}/effects/{effect_id}/variants/bulk-delete/ HTTP/1.1
Host: saas.haut.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 25
{
"variants_ids": [
"text"
]
}{
"status": "text"
}Duplicate Effect Level
Authenticate using SaaS Private token
POST /api/v1/companies/{company_id}/effects/{effect_id}/variants/{variant_id}/duplicate/ HTTP/1.1
Host: saas.haut.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 30
{
"title": null,
"priority": null
}{
"status": "text"
}Not a Haut.AI client yet?
Last updated